=== debian/changelog ===
dde-app-services (0.0.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Tue, 22 Feb 2022 13:39:18 +0800

dde-app-services (0.0.1-1) unstable; urgency=medium

  * Initial release Tag 0.0.1

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 20 Oct 2021 17:39:08 +0800
