=== debian/control ===
Source: dde-app-services
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <yeshanshan@uniontech.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 cmake,
 qtbase5-dev,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 libgtest-dev
Standards-Version: 4.3.0

Package: dde-dconfig-daemon
Architecture: any
Conflicts: dconfig-daemon
Replaces: dconfig-daemon
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkcore5
Description: deepin desktop-environment - dde-dconfig-daemon module
 dde-dconfig-daemon provids dbus service for reading and writing DSG configuration.

Package: dde-dconfig-editor
Architecture: any
Conflicts: dconfig-editor
Replaces: dconfig-editor
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkcore5,
 libdtkgui5,
 libdtkwidget5
Description: deepin desktop-environment - dde-dconfig-editor module
 dde-dconfig-editor is a GUI or Console tool, it's used to view and edit 
 DSG configuration for current user.
