## dde-app-services 0.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

project(dde-app-services)

add_subdirectory("dconfig-center")
