## dde-app-services 0.0.15

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,6 @@
 
 ## services files
 install(FILES services/org.desktopspec.ConfigManager.service DESTINATION /usr/share/dbus-1/system-services)
-install(FILES services/dconfig-center-daemon.service DESTINATION /usr/lib/systemd/system)
 
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
