=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,8 @@
 
 set(HEADERS
     mainwindow.h
-    valuehandler.h
+    ../common/valuehandler.h
+    ../common/helper.hpp
     iteminfo.h
     exportdialog.h
     oemdialog.h
@@ -34,7 +35,7 @@
 set(SOURCES
     main.cpp
     mainwindow.cpp
-    valuehandler.cpp
+    ../common/valuehandler.cpp
     iteminfo.cpp
     exportdialog.cpp
     oemdialog.cpp
@@ -56,6 +57,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
     ${DtkWidget_INCLUDE_DIRS}
+    ../common
 )
 
 install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
