=== dconfig-center/dde-dconfig/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,12 @@
 qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
 
 set(HEADERS
-    helper.hpp
-    valuehandler.h
+    ../common/helper.hpp
+    ../common/valuehandler.h
 )
 set(SOURCES
     main.cpp
-    valuehandler.cpp
+    ../common/valuehandler.cpp
 )
 
 ADD_EXECUTABLE(dde-dconfig ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})
@@ -45,6 +45,10 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
     ${DtkWidget_INCLUDE_DIRS}
+    ../common
 )
 
 install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+
+set(BASH_COMPLETION_COMPLETIONSDIR "/usr/share/bash-completion/completions/")
+install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})
