=== dconfig-center/example/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 dconfig_meta_files(APPID dconfig-example BASE ./configs FILES ./configs/example.json ./configs/a/example.json)
 
+dconfig_meta_files(COMMONID true FILES ./configs/example.json ./configs/a/example.json)
+
 dconfig_meta_files(APPID dconfig-example FILES ./configs/example.json ./configs/a/example.json)
 
 dconfig_override_files(APPID dconfig-example BASE ./configs META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)
