=== debian/changelog ===
dde-app-services (0.0.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Thu, 16 Jun 2022 10:49:06 +0800
