=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure
