=== debian/changelog ===
dde-app-services (0.0.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Wed, 31 Aug 2022 15:23:28 +0800
