## dde-app-services 0.0.19

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig-daemon)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
@@ -35,13 +39,13 @@
     services/org.desktopspec.ConfigManager.xml
     services/org.desktopspec.ConfigManager.Manager.xml
 )
-install (FILES ${DCONFIG_XMLS_FILES} DESTINATION share/dbus-1/interfaces)
+install (FILES ${DCONFIG_XMLS_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/interfaces)
 
 ## dbus config file
-install (FILES services/org.desktopspec.ConfigManager.conf DESTINATION /usr/share/dbus-1/system.d)
+install (FILES services/org.desktopspec.ConfigManager.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system.d)
 
 ## services files
-install(FILES services/org.desktopspec.ConfigManager.service DESTINATION /usr/share/dbus-1/system-services)
+install(FILES services/org.desktopspec.ConfigManager.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
 
 ## bin
-install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})
