=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,12 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig-editor)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+
+set(DVERSION "1.0.0" CACHE STRING "define project version")
+add_definitions(-DVERSION="${DVERSION}")
 
 set(REQUIRED_QT_VERSION 5.11.3)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets DBus)
@@ -62,4 +69,4 @@
     ../common
 )
 
-install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_BINDIR})
