=== dconfig-center/dde-dconfig/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
@@ -48,7 +52,7 @@
     ../common
 )
 
-install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_BINDIR})
 
-set(BASH_COMPLETION_COMPLETIONSDIR "/usr/share/bash-completion/completions/")
+set(BASH_COMPLETION_COMPLETIONSDIR ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/)
 install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})
