=== debian/changelog ===
dde-app-services (0.0.19-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Thu, 13 Oct 2022 15:01:53 +0800

dde-app-services (0.0.1) unstable; urgency=medium

  * Initial release Tag 0.0.1

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 20 Oct 2021 17:39:08 +0800
