=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM)
