=== dconfig-center/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,14 @@
+# SPDX-FileCopyrightText: 2021 - 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 project(dconfig-center)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+include(GNUInstallDirs)
 
 add_subdirectory("dde-dconfig-daemon")
 add_subdirectory("dde-dconfig-editor")
