=== debian/changelog ===
dde-app-services (0.0.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Mon, 28 Nov 2022 15:05:23 +0800

dde-app-services (0.0.20) unstable; urgency=medium

  * Release 0.0.20

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Thu, 24 Nov 2022 13:39:03 +0800
