=== debian/changelog ===
dde-app-services (1.0.25) unstable; urgency=medium

  * Fix: Don't hardcode qhelpgenerator
    Thanks to Hillwood Yang
  * fix: repeated items for dde-dconfig-editor
  * fix: deb's format wrong
  * feat: support to reset all keys for configuration

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Jan 2024 14:42:32 +0800

dde-app-services (1.0.24) unstable; urgency=medium

  * feat: Add the way to check value is or not default value(Issue: dtk#3)
  * chore: Add the key const to the function getAppid
  * chore: add acquireManagerV2 interface(Issue: 5928)
  * fix: dde-dconfig-editor crashed(Bug: 222631)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 13:52:12 +0800

dde-app-services (1.0.23) unstable; urgency=medium

  * feat: Add chinese translation for tools(Issue: #66)
  * feat: Sync setValue for dde-dconfig-editor
  * fix: Crashed when repareCache for dde-dconfig-daemon

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 14 Sep 2023 13:25:42 +0800

dde-app-services (1.0.22) unstable; urgency=medium

  * chore: Change the way to get application name
  * feat: Manage user by sysusers.d to replace postinst
  * feat: Being consistent with meta dir of dtkcore(Issue: #10)
  * feat: Support runtime conrtorl of verbose log on/off switch
  * chore(CI): Update obs tag build workflow
  * chore: Adapt to compile for qt6(Issue: #86)
  * feat: add archlinux build
  * chore: Adapt to qt6(Issue: #86)
  * Fix: Set function invalid when appid is not exist
  * Docs: Add DtkConfig document
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: typo refrence to reference
    Thanks to aleksana
  * fix: Wrong value for negative float type in editor
  * feat: Support positional argument for dde-dconfig
  * chore: Can't find QCommandLineParser
  * fix: some app failed to register dbus service

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 01 Sep 2023 13:35:25 +0800

dde-app-services (1.0.21) unstable; urgency=medium

  * fix: Wrong exit signal
  * feat: Add systemd service(Issue: https://github.com/linuxdeepin/developer-center/issues/4161)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 17:40:07 +0800

dde-app-services (1.0.20) unstable; urgency=medium

  * 1.0.20

 --  Deepin Package Builder <packages@deepin.com>  Mon, 10 Apr 2023 14:13:40 +0800

dde-app-services (0.0.23) unstable; urgency=medium

  * feat: Remove root user for dde-dconfig-daemon
  * fix: Save cache invalided
  * fix: Manual clean resource When exit
  * fix: Reduce delay sync time

 --  Deepin Package Builder <packages@deepin.com>  Thu, 30 Mar 2023 15:37:02 +0800

dde-app-services (0.0.22) unstable; urgency=medium

  * master 0.0.22

 --  Deepin Package Builder <packages@deepin.com>  Wed, 01 Mar 2023 10:06:35 +0800

dde-app-services (0.0.21) unstable; urgency=medium

  * Support generic configuration

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 22 Feb 2023 14:43:34 +0800
