=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
  cmake,
  qtbase5-dev,
  libdtkcommon-dev,
- libdtkcore-dev,
+ libdtkcore-dev(>=5.6.19),
  libdtkgui-dev,
  libdtkwidget-dev,
- libgtest-dev
+ libgtest-dev,
+ doxygen,
+ qttools5-dev-tools,
+ qttools5-dev
 Standards-Version: 4.3.0
 
 Package: dde-dconfig-daemon
@@ -34,3 +37,8 @@
 Description: deepin desktop-environment - dde-dconfig-editor module
  dde-dconfig-editor is a GUI or Console tool, it's used to view and edit
  DSG configuration for current user.
+
+Package: dde-dconfig-doc
+Architecture: any
+Description: Deepin Tool Kit DConfig (document)
+ This package contains the doc files of DConfig
