=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,10 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM)
+	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM) -DDTK_VERSION=5
+
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_installsysusers dde-dconfig-daemon.sysusers
+	dh_installtmpfiles dde-dconfig-daemon.tmpfiles
