=== dconfig-center/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-only
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
 
 project(dconfig-center)
 
@@ -15,3 +15,7 @@
 add_subdirectory("dde-dconfig")
 add_subdirectory("example")
 add_subdirectory("tests")
+
+if (BUILD_DOCS)
+    add_subdirectory(docs)
+endif()
