=== debian/changelog ===
dde-app-services (1.0.29) unstable; urgency=medium

  * refact: switch to qt6 for debian
  * feat: adapt to dtk6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 11:34:40 +0800

dde-app-services (1.0.28) unstable; urgency=medium

  * feat: support to read other user's config for editor
  * refact: using sigaction to handle signal
  * refact: modify DSG_DATA_DIRS keeping up with linglong
  * fix: incorrect override format for json when export to OEM

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 18 Mar 2025 21:23:23 +0800
