## dde-app-services 1.0.33

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,10 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-only
 
-PROJECT(dde-dconfig-daemon)
-CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
-
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
-
-set(REQUIRED_QT_VERSION 5.11.3)
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
 find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
+
+option(INSTALL_DEBIAN_TRIGGER "Install dconfig trigger handler script" OFF)
 
 # generate moc_predefs.h
 set(CMAKE_AUTOMOC ON)
@@ -48,8 +42,10 @@
 install(FILES services/org.desktopspec.ConfigManager.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
 install(FILES services/dde-dconfig-daemon.service DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/systemd/system)
 
-## sysusers file
-install (FILES services/dde-dconfig-daemon.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/sysusers.d)
-
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+## trigger handler scripts
+if(INSTALL_DEBIAN_TRIGGER)
+    install(PROGRAMS scripts/dconfig-trigger-handler DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/dde-dconfig-daemon)
+endif()
