=== debian/changelog ===
dde-app-services (1.0.33) unstable; urgency=medium

  * fix: remove redundant log messages in dconfig-trigger-handler
  * feat: add qvariantToCmd helper function
  * fix: simplify DBus service check and add cache path prefix

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 14:33:09 +0800

dde-app-services (1.0.32) unstable; urgency=medium

  * feat: add Debian trigger integration for config updates (#111)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 20 Jun 2025 17:52:05 +0800

dde-app-services (1.0.31) unstable; urgency=medium

  * feat: add user configuration cleanup functionality
  * refactor: simplify CMake version requirements

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:13:52 +0800

dde-app-services (1.0.30) unstable; urgency=medium

  * chore(CI): add debian check workflow
  * refactor: update CMake requirements and smart pointer usage
  * fix: replace QStringList with QVariantList in test case
  * fix: add input validation and update D-Bus permissions
  * fix: improve configuration path validation and duplicate check
  * feat: improve config and log management
  * chore: remove sysusers configuration files

 -- YeShanShan <yeshanshan@uniontech.com>  Wed, 28 May 2025 18:00:58 +0800
