=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM) -DDTK_VERSION=6 -DINSTALL_DEBIAN_TRIGGER=ON


override_dh_auto_install:
	dh_auto_install
